Get Dunning Settings

View as Markdown
Get dunning settings for an account.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequired

Response

Successful Response
enable_retriesboolean or nullOptionalDefaults to false

Enable automatic failed payment recovery retries. Defaults to False: an account that never configures dunning does not retry failed payments.

enable_emailsboolean or nullOptionalDefaults to false

Enable automatic failed payment recovery emails. Defaults to False: an account that never configures dunning sends no dunning emails.

contact_infoobject or nullOptional
Contact information for dunning emails
subscription_status_on_failurestring or nullOptional

What to do with subscription if all payment attempts fail. Options: ‘cancel’ (default) or ‘leave_active’

invoice_status_on_failurestring or nullOptional

What to do with invoice if all payment attempts fail. Options: ‘mark_uncollectible’ (default), ‘leave_open’, or ‘void’

apply_to_product_idslist of strings or nullOptional

List of product IDs to apply dunning to (empty means all products)

settle_past_due_on_pm_updateboolean or nullOptionalDefaults to true

When a customer updates their payment method, immediately charge all past-due invoices. Invoices not yet due are not affected.

update_renewal_on_overdue_paidboolean or nullOptionalDefaults to true
Update subscription renewal date when overdue invoices are paid

Errors

422
Unprocessable Entity Error